package agilpizza.pizza;

import static org.junit.Assert.*;

import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;
import agilpizza.internal.SeleniumTestCase;

public class FechametoDeCompraDePizzaTest extends SeleniumTestCase {

	@BeforeMethod
	public void entrarNaPagina() {
		sel.open(CONTEXTO);
		sel.clickAndWait("linkMontaPizza");
	}
	
	@Test
	public void testPizzaComMussarela(){
		sel.check("formMontarPizza:tabelaDeCategoriasDeIngredientes:2:tabelaDeIngredientes:0:_idJsp6");
		sel.clickAndWait("formMontarPizza:enviarPizzaMontada");
		//sel.type("formAnotarEndereco:nome", "João Alberto Gomes");
		sel.type("formAnotarEndereco:telefone", "1234-1234");
		//sel.type("formAnotarEndereco:rua", "Rua do Matão");
		//sel.type("formAnotarEndereco:numero", "1010");
		//sel.type("formAnotarEndereco:complemento", "CEC");
		//sel.type("formAnotarEndereco:bairro", "Cidade Universitária");
		//sel.type("formAnotarEndereco:cep", "05508-090");
		sel.clickAndWait("formAnotarEndereco:enviarEndereco");
		sel.clickAndWait("fechaPedidoForm:fechaPedidoBotao");
		assertTrue ("Deveria ter Fechado o Pedido",sel.isTextPresent("SEU PEDIDO FOI EFETUADO COM SUCESSO E EM BREVE ESTARÁ NA SUA RESIDÊNCIA"));
	}
	
}
